package com.lanyuanxiaoyao.service.scheduler;

import com.lanyuanxiaoyao.service.scheduler.quartz.distribute.strategy.AvailableStrategy;
import com.lanyuanxiaoyao.service.scheduler.quartz.distribute.strategy.DatetimeLimit;
import org.eclipse.collections.api.factory.Maps;

/**
 * @author lanyuanxiaoyao
 * @date 2024-04-26
 */
public class TestStrategy {
    public static void main(String[] args) {
        AvailableStrategy strategy = AvailableStrategy.and(
                new DatetimeLimit(false, "* * 2,3,4,5,6 * * ? *")
        );
        System.out.println(strategy.available(Maps.immutable.empty()));
    }
}
